Subject: Re: [PATCH v3 3/3] SubmittingPatches: explain why we care about log messages

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Mar 2022 16:29:49 -0800

Emily Shaffer <[email-masked]> writes:

>> +The goal of your log message is to convey the _why_ behind your
>> +change to help future developers.
>> +
>
> This is pretty compelling. Is it clear enough why we care about this in
> the commit message, as opposed to in the patch description (cover letter
> or post-"---" blurb)? Is it too obvious to explicitly mention that the
> commit message is the first thing we try to make sense of during a 'git
> blame' or 'git bisect'?

Having to say "this may be better in the in-code comment rather than
the log message" to some patch recently (I do not remember), I tend
to agree that some guidance would help people decide between the two
(or writing both).

Again, patches welcome ;-)